- name: Check if kubelet.conf exists
  stat:
    path: "/etc/kubernetes/kubelet.conf"
  register: kubelet_conf

- name: Join to cluster if needed
  include_tasks: join.yaml
  when: not kubelet_conf.stat.exists

- name: Enable and check kubelet service
  systemd:
    name: kubelet
    daemon_reload: true
    state: started
    enabled: true
